Skip to content
StorageAssets

Get file

Returns one asset owned by the current store or seller, including its media metadata.

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/storage/assets/7204558912004323036" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004323036",  "fileName": "polo-de-algodon.webp",  "publicUrl": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp",  "contentType": "polo-de-algodon.webp",  "size": 1,  "width": 30,  "height": 30,  "altText": "polo-de-algodon.webp",  "directory": "polo-de-algodon.webp",  "metadata": {    "key": "polo-de-algodon.webp"  },  "createdOn": "2026-09-28T15:30:00Z",  "createdBy": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821"}